<html>
<head>
<title>Ogre::QueuedRenderableVisitor Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::QueuedRenderableVisitor Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::QueuedRenderableVisitor" -->
<p>Visitor interface for items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a>.  
 <a href="classOgre_1_1QueuedRenderableVisitor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::QueuedRenderableVisitor:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1QueuedRenderableVisitor__inherit__graph.gif" border="0" usemap="#Ogre_1_1QueuedRenderableVisitor_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1QueuedRenderableVisitor_inherit__map" id="Ogre_1_1QueuedRenderableVisitor_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html" title="Inner helper class to implement the visitor pattern for rendering objects in a queue." alt="" coords="5,83,365,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1QueuedRenderableVisitor-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#aa639df153b7748f890d3d11d64e6a0e8">QueuedRenderableVisitor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9e9fca8d2b7fd4c75a24b6c7f8b1b234">~QueuedRenderableVisitor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9fc6bc2185fad0be06562f49dd23003c">visit</a> (<a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *rp)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, i.e.  <a href="#a9fc6bc2185fad0be06562f49dd23003c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#aa36694ac36f96d8c9c9363279b97bef4">visit</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a29ed32d75e5246ec464cb01fd5de50ec">visit</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *r)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection.  <a href="#a29ed32d75e5246ec464cb01fd5de50ec"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Visitor interface for items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Those wishing to iterate over the items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a> should implement this visitor pattern, since internal organisation of the collection depends on the sorting method in use. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00069">69</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa639df153b7748f890d3d11d64e6a0e8"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::QueuedRenderableVisitor" ref="aa639df153b7748f890d3d11d64e6a0e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#aa639df153b7748f890d3d11d64e6a0e8">Ogre::QueuedRenderableVisitor::QueuedRenderableVisitor</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00072">72</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9e9fca8d2b7fd4c75a24b6c7f8b1b234"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::~QueuedRenderableVisitor" ref="a9e9fca8d2b7fd4c75a24b6c7f8b1b234" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9e9fca8d2b7fd4c75a24b6c7f8b1b234">Ogre::QueuedRenderableVisitor::~QueuedRenderableVisitor</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00073">73</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9fc6bc2185fad0be06562f49dd23003c"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::visit" ref="a9fc6bc2185fad0be06562f49dd23003c" args="(RenderablePass *rp)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9fc6bc2185fad0be06562f49dd23003c">Ogre::QueuedRenderableVisitor::visit</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *&#160;</td>
          <td class="paramname"><em>rp</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, i.e. </p>
<p>items in a sorted collection where items are not grouped by pass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this is called, neither of the other 2 visit methods will be called. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a355e8d4526c10772c7d85798806f7f8a">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>.</p>

</div>
</div>
<a class="anchor" id="aa36694ac36f96d8c9c9363279b97bef4"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::visit" ref="aa36694ac36f96d8c9c9363279b97bef4" args="(const Pass *p)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9fc6bc2185fad0be06562f49dd23003c">Ogre::QueuedRenderableVisitor::visit</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#ad6faf056bf49c141a2792e86693a74df">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>.</p>

</div>
</div>
<a class="anchor" id="a29ed32d75e5246ec464cb01fd5de50ec"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::visit" ref="a29ed32d75e5246ec464cb01fd5de50ec" args="(Renderable *r)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9fc6bc2185fad0be06562f49dd23003c">Ogre::QueuedRenderableVisitor::visit</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this method is called, the <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> visit method will not be called for this collection. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a0bafaaa59934dc453a56b55feb48f7b1">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
